test_simulator: re-order option list and improve (param) description

4 jobs for add-cpp-test-simulator in 16 minutes and 23 seconds (queued for 7 seconds)
Status Name Job ID Coverage
  Build
failed build-linux #257232
linux

00:16:23

failed build-win #257233
win

00:08:37

 
  Build Noarch
skipped build-noarch #257234
linux
 
  Deploy
skipped deploy-devel #257235
conda linux allowed to fail manual
 
Name Stage Failure
failed
build-linux Build
  File "/opt/conda/lib/python3.8/site-packages/conda_build/jinja_context.py", line 230, in pin_compatible
pins, _, _ = get_env_dependencies(m, 'host', m.config.variant)
File "/opt/conda/lib/python3.8/site-packages/conda_build/render.py", line 139, in get_env_dependencies
actions = environ.get_install_actions(tmpdir, tuple(dependencies), env,
File "/opt/conda/lib/python3.8/site-packages/conda_build/environ.py", line 804, in get_install_actions
raise DependencyNeedsBuildingError(exc, subdir=subdir)
conda_build.exceptions.DependencyNeedsBuildingError: Unsatisfiable dependencies for platform linux-64: {"python[version='>=2.7,<2.8.0a0|>=3.6,<3.7.0a0|>=3.7,<3.8.0a0']", 'feature:/linux-64::__glibc==2.12=0', "python[version='>=2.7,<2.8.0a0|>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", "__glibc[version='>=2.17']", "python[version='3.6.*|3.7.*|3.8.*|3.9.*']", 'feature:|@/linux-64::__glibc==2.12=0', "python[version='2.7.*|3.5.*|3.6.*|3.7.*|>=3.5,<3.6.0a0|>=3.8,<3.9.0a0|>=3.9,<3.10.0a0|3.4.*']"}
Cleaning up file based variables
ERROR: Job failed: exit code 1
failed
build-win Build
lima-core -> zlib[version='>=1.2.11,<1.3.0a0']
lima-core -> hdf5=1.10 -> zlib[version='1.2.*|1.2.11']
python=3.8 -> sqlite[version='>=3.33.0,<4.0a0'] -> zlib[version='>=1.2.11,<1.3.0a0']

Package sip conflicts for:
lima-core -> sip[version='>=4.19.4,<=4.19.8']
sip[version='>=4.19.20*']
Cleaning up file based variables
ERROR: Job failed: exit status 1